Subject: Re: bug#6009: 24.0.50; can't copy local file to remote host using ftp

From: Michael Albinus <[email-masked]>
Date: Fri, 23 Apr 2010 10:41:36 +0200

Katsumi Yamaoka <[email-masked]> writes:

> Hi,

Hi,

> Recently I cannot copy local files to a remote host using ftp.
> The Lisp backtrace I got when I was about to copy ~/FILE to
> /ftp:yamaoka@remote-host:~/ by the dired-do-copy command is
> attached below.  Could someone look into it?  Thanks in advance.

Could you, please, check the following patch?

--8<---------------cut here---------------start------------->8---
*** /tmp/ediff4542Mhl  2010-04-23 10:34:25.000000000 +0200
--- /usr/local/src/emacs/lisp/net/ange-ftp.el        2010-04-23
10:34:07.000000000 +0200
***************
*** 3827,3833 ****
      (ange-ftp-call-cont cont result line)))
  
  (defun ange-ftp-copy-file (filename newname &optional ok-if-already-exists
!                                     keep-date preserve-uid-gid)
    (interactive "fCopy file: \nFCopy %s to file: \np")
    (ange-ftp-copy-file-internal filename
                                               newname
--- 3827,3834 ----
      (ange-ftp-call-cont cont result line)))
  
  (defun ange-ftp-copy-file (filename newname &optional ok-if-already-exists
!                                     keep-date preserve-uid-gid
!                                     preserve-selinux-context)
    (interactive "fCopy file: \nFCopy %s to file: \np")
    (ange-ftp-copy-file-internal filename
                                               newname
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.